<?php
    $config = cmsConfig::getInstance();
    $core = cmsCore::getInstance();
?>
<!DOCTYPE html>
<html>
<head>
    <title><?php $this->title(); ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-text.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-layout.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-gui.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-widgets.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-content.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-modal.css"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/jquery.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/jquery-modal.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/core.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/modal.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/messages.js"); ?>    
    <?php $this->addMainJS("templates/{$this->name}/js/jquery.parallax.js"); ?>
    <!--[if lt IE 9]>
        <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
        <script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
    <![endif]-->    
    <?php $this->head(); ?>
    <style><?php include('options.css.php'); ?></style> 
    
    <script type="text/javascript">
     $(document).ready(function(){
       $('#intro').parallax("50%", 0.4);
       $('#intro-mini').parallax("50%", 0.3);
    });
    </script>      
</head>
<body>
<div class="fixed-header">
 <div id="layout">
   <div id="logo">
     <a href="<?php echo href_to_home(); ?>" title="<?php $this->sitename(); ?>"></a>
   </div>   
  <?php if($this->hasWidgetsOn('top')) { ?>
   <nav>
     <?php $this->widgets('top', false, 'wrapper_plain'); ?>
   </nav>
  <?php } ?>   
 </div>
</div>
<div class="rasporka"></div>
<?php if ($this->isBody()){ ?> 
  <div id="intro-mini">
  <div id="layout">
	  <?php if ($this->isBreadcrumbs()){ ?>
         <div id="pagebar-intro">
              <?php $this->breadcrumbs(array('strip_last'=>false)); ?>
         </div>
      <?php } ?>
      
<div class="intro-content-right-min"> 
<div class="block-login">     
 <?php if (cmsUser::isLogged()){ ?>
   <span>
     <a class="linc-login" href="<?php echo href_to('auth', 'logout'); ?>"><?php echo LANG_LOG_OUT; ?></a>
   </span>
 <?php } else { ?> 
   <span class="ajax-modal key">
    <a class="linc-login" href="<?php echo href_to('auth', 'login'); ?>"><?php echo LANG_LOG_IN; ?></a>
   </span>
   <span>
     <a class="linc-login" href="<?php echo href_to('auth', 'register'); ?>"><?php echo LANG_REGISTRATION; ?></a>
   </span>
<?php } ?>   
</div>
</div>      
      
  </div>
  </div> 
   <?php } else { ?>
<div id="intro">
  <div id="layout">     
     <div class="intro-content-left"></div>    
<div class="intro-content-right">
 <div class="block-login">
 <?php if (cmsUser::isLogged()){ ?>
   <span>
     <a class="linc-login" href="<?php echo href_to('auth', 'logout'); ?>"><?php echo LANG_LOG_OUT; ?></a>
   </span>
 <?php } else { ?> 
   <span class="ajax-modal key">
    <a class="linc-login" href="<?php echo href_to('auth', 'login'); ?>"><?php echo LANG_LOG_IN; ?></a>
   </span>
   <span>
     <a class="linc-login" href="<?php echo href_to('auth', 'register'); ?>"><?php echo LANG_REGISTRATION; ?></a>
   </span>
<?php } ?>   
  </div>
</div>
  </div>
</div> 
<?php } ?>
    <div id="layout">
        <?php if (!$config->is_site_on){ ?>
            <div id="site_off_notice"><?php printf(ERR_SITE_OFFLINE_FULL, href_to('admin', 'settings', 'siteon')); ?></div>
        <?php } ?>
        <header>
        </header>
        <div id="body">
            
            <?php
                $messages = cmsUser::getSessionMessages();
                if ($messages){
                    ?>
                    <div class="sess_messages">
                        <?php
                            foreach($messages as $message){
                                echo $message;
                            }
                        ?>
                    </div>
                    <?php
                }
            ?>
            <section style="width:<?php echo $section_width; ?>">
                <?php $this->widgets('left-top'); ?>
                <?php if ($this->isBody()){ ?>
                    <article>
                        <?php $this->body(); ?>
                    </article>
                <?php } ?>
                
               <?php if($this->hasWidgetsOn('one_centre','two_centre')) { ?> 
                
               <div class="widget_two">
                 <span class="<?php if($this->hasWidgetsOn('one_centre') and $this->hasWidgetsOn('two_centre')) { ?>one_left<?php } else { ?>one_or_two<?php } ?>">
                 <?php $this->widgets('one_centre'); ?>
                 </span>
                 <span class="<?php if($this->hasWidgetsOn('one_centre') and $this->hasWidgetsOn('two_centre')) { ?>one_right<?php } else { ?>one_or_two<?php } ?>">
                 <?php $this->widgets('two_centre'); ?>
                 </span>
               </div>
               <?php } ?>
                
                
                
                <?php $this->widgets('left-bottom'); ?>
            <div class="rasporka"></div>
            </section>
            <aside>
                <?php $this->widgets('right-top'); ?>
                <?php $this->widgets('right-center'); ?>
                <?php $this->widgets('right-bottom'); ?>
            </aside>
        </div>
        <?php if ($config->debug){ ?>
            <div id="sql_debug" style="display:none">
                <div id="sql_queries">
                    <?php foreach($core->db->query_list as $sql) { ?>
                        <div class="query">
                            <div class="src"><?php echo $sql['src']; ?></div>
                            <?php echo nl2br($sql['sql']); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        <?php } ?>        
    </div>    
     <footer>     
       <div id="layout">       
        <table cellpadding="0" cellspacing="0">
          <tbody>
            <tr>        
        <td valign="top">
          <div class="foter_info">
             <?php $this->widgets('footer_left'); ?> 
          </div>
        </td>        
        <?php if($this->hasWidgetsOn('footer_right')) { ?>
          <td width="370px" valign="top">
           <div class="foter_info">
             <?php $this->widgets('footer_right'); ?>
           </div>
          </td>
        <?php } ?>       
            </tr>
          </tbody>
        </table>
         <?php if($this->hasWidgetsOn('footer_left','footer_right')) { ?>      
           <hr> 
          <?php } ?>   
       <ul>
         <li id="copyright">
               <a href="<?php echo $this->options['owner_url'] ? $this->options['owner_url'] : href_to_home(); ?>"><?php $this->sitename(); ?></a>
                    &copy;
                    <?php echo $this->options['owner_year'] ? $this->options['owner_year'] : date('Y'); ?>
         </li>         
         <li id="nav">
           <?php $this->widgets('footer', false, 'wrapper_plain'); ?>
         </li>
         <li>
<!-- Yandex.Metrika informer -->
<!-- /Yandex.Metrika counter -->
         </li>
         <NOINDEX>
          <li class="plus_dan" title="Сайт может содержать информацию, предназначенную для лиц старше 18 лет"> 18+ </li>
         </NOINDEX>
       </ul>    
       </div>
     </footer>
     
</body>
</html>
